com.smartgwt.client.types

## Enum TableMode

- java.lang.Object
- - java.lang.Enum<TableMode>
  - - com.smartgwt.client.types.TableMode

- All Implemented Interfaces:
    ValueEnum, java.io.Serializable, java.lang.Comparable<TableMode>

      public enum TableMode
      extends java.lang.Enum<TableMode>
      implements ValueEnum

  Controls the display mode of TableView record display

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `GROUPED` Grouped table is a set of rows embedded in a rounded rectangle
    `PLAIN` The default mode which displays a list of rows

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getValue()`
    `static TableMode` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static TableMode[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### PLAIN

          public static final TableMode PLAIN

      The default mode which displays a list of rows

      If this enumerated value is used in a `Component XML` file or server-side DataSource descriptor (.ds.xml file), use the value "plain".

    - #### GROUPED

          public static final TableMode GROUPED

      Grouped table is a set of rows embedded in a rounded rectangle

      If this enumerated value is used in a `Component XML` file or server-side DataSource descriptor (.ds.xml file), use the value "grouped".

  - ### Method Detail

    - #### values

          public static TableMode[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (TableMode c : TableMode.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static TableMode valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### getValue

          public java.lang.String getValue()

      Specified by:
        `getValue` in interface `ValueEnum`